﻿using System;
using System.Windows.Forms;

namespace HgCo.WindowsLive.SkyDrive.TotalCommander.Plugins.Forms
{
    /// <summary>
    /// Represents a dialog window for displaying error information.
    /// </summary>
    internal partial class SkyDriveWfxErrorForm : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SkyDriveWfxErrorForm"/> class.
        /// </summary>
        internal SkyDriveWfxErrorForm(Exception ex)
        {
            InitializeComponent();

            this.Icon = Resources.SkyDriveWfx.mini_storage;

            txtMessage.Text = ex.Message;
            txtDetails.Text = ex.ToString();
        }

        /// <summary>
        /// Handles the Click event of the btnOK control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }
    }
}
