﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace HgCo.WindowsLive.SkyDrive.TotalCommander.Plugins.Forms
{
    /// <summary>
    /// Represents a window for displaying webfile information.
    /// </summary>
    internal partial class SkyDriveWfxFileInfoForm : Form
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SkyDriveWfxFileInfoForm"/> class.
        /// </summary>
        internal SkyDriveWfxFileInfoForm(WebFileInfo webFile, Image webFileIcon)
        {
            InitializeComponent();

            this.Icon = Resources.SkyDriveWfx.mini_storage;

            txtName.Text = webFile.Name;
            txtDescription.Text = webFile.Description;
            txtCreatorName.Text = webFile.OwnerCid;
            txtShareType.Text = webFile.ShareType.ToString();
            txtContentType.Text = webFile.ContentType.ToString();
            txtSize.Text = webFile.Size.ToString();
            txtDateAdded.Text = webFile.DateAdded.ToString();
            txtDateModified.Text = webFile.DateModified.ToString();
            //txtViewUri.Text = webFile.ViewUrl != null ? webFile.ViewUrl : String.Empty;

            picboxIcon.Image = webFileIcon;
        }

        /// <summary>
        /// Handles the KeyDown event of the SkyDriveWfxFileInfoForm control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.Windows.Forms.KeyEventArgs"/> instance containing the event data.</param>
        private void SkyDriveWfxFileInfoForm_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
            {
                this.Close();
            }
        }

    }
}
