﻿using System;
using System.Windows.Forms;

namespace HgCo.WindowsLive.SkyDrive.TotalCommander.Plugins.Forms
{
    /// <summary>
    /// Represents a dialog window for handling additional input parameters of new root webfolder creation.
    /// </summary>
    internal partial class SkyDriveWfxNewRootFolderForm : Form
    {
        /// <summary>
        /// Gets the ShareType selected.
        /// </summary>
        /// <value>The selected ShareType.</value>
        public WebFolderItemShareType SelectedShareType
        {
            get { return (WebFolderItemShareType)ddlShareType.SelectedItem; }
        }

        /// <summary>
        /// Gets the CategoryType selected.
        /// </summary>
        /// <value>The selected CategoryType.</value>
        public WebFolderCategoryType SelectedCategoryType
        {
            get { return (WebFolderCategoryType)ddlCategoryType.SelectedItem; }
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="SkyDriveWfxNewRootFolderForm"/> class.
        /// </summary>
        internal SkyDriveWfxNewRootFolderForm()
        {
            InitializeComponent();

            this.Icon = Resources.SkyDriveWfx.mini_storage;

            ddlShareType.Items.Add(WebFolderItemShareType.Private);
            ddlShareType.Items.Add(WebFolderItemShareType.Public);
            ddlShareType.Items.Add(WebFolderItemShareType.PeopleSelected);
            ddlShareType.Items.Add(WebFolderItemShareType.MyNetwork);

            ddlCategoryType.Items.Add(WebFolderCategoryType.Documents);
            ddlCategoryType.Items.Add(WebFolderCategoryType.Favorites);
            ddlCategoryType.Items.Add(WebFolderCategoryType.Photos);

            ddlShareType.SelectedItem = WebFolderItemShareType.Private;
            ddlCategoryType.SelectedItem = WebFolderCategoryType.Documents;
        }

        /// <summary>
        /// Handles the Click event of the btnOK control.
        /// </summary>
        /// <param name="sender">The source of the event.</param>
        /// <param name="e">The <see cref="System.EventArgs"/> instance containing the event data.</param>
        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }
    }
}
